package member;

import java.math.BigInteger;

public class MathOps 
{
	/*
	 * Returns delta = u^(-1) mod ticket
	 */
	public static BigInteger getDelta(BigInteger u, BigInteger ticket)
	{
		return u.modInverse(ticket);
	}
	
	/*
	 * Returns r = g^delta mod m
	 */
	public static BigInteger getR(BigInteger g, BigInteger delta, BigInteger m)
	{
		return g.modPow(delta, m);
	}
}
